> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-12/v12-1-0.md).

# Version 12.1.0 Changelog (August 19, 2026)

View the changelog the 12.1.0 for Android SDK

## Notes

This release of Apryse for Android brings the core PDF functionality in line with version 12.1.0 of the Apryse cross-platform APIs. Most non-module-related changes apply to Android.

## Breaking

* The timestamp displayed in the annotation list now displays creation time to match other Apryse SDK platforms such as Web and iOS.
* Annotation list author now displays the author name instead of the ID, if set.

## New

* Adds ability to read notes from caret annotation type.
* Adds support for `PDFViewCtrl` page-space geometry snapping.

## Fixes

* Fixed an issue where delete on page and delete all showed in the annotation list when permission checks are enabled.
* Fixed an issue where the date displayed in the annotation list had a timezone that did not match other Apryse SDK platforms such as Web and iOS.
* Improved accuracy for measurement tool snapping feature.

## APIs

### PDFViewCtrlTools package

#### AnnotationListUtil

*new* static method: AnnotationInfo toAnnotationInfo(ToolManager, Annot, Page, TextExtractor, ArrayList\<Integer>)

*removed* static method: AnnotationInfo toAnnotationInfo(Annot, Page, TextExtractor, ArrayList\<Integer>)

#### AnalyticsHandlerAdapter

*removed* static final field: int EVENT\_VIEWER\_PRINT

*removed* static final field: int EVENT\_VIEWER\_SHARE

#### AnnotUtils

*new* static method: void setCreationDateToNow(PDFViewCtrl, Annot)

*new* static method: void setLocalCreationDateToNow(Annot)

*new* static method: void setLocalDateToNow(Annot)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-12/v12-1-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
